package com.uas.platform.b2b.manage.model;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 企业信息基本信息
 *
 * Created by hejq on 2018-04-20.
 */
@Entity
@Table(name = "sec$enterprises", indexes = {
        @Index(name = "en_uu_index", columnList = "en_uu"),
        @Index(name = "en_name_index", columnList = "en_name"),
        @Index(name = "en_address_index", columnList = "en_address"),
        @Index(name = "en_businesscode_index", columnList = "en_businesscode")
})
public class EnterpriseBaseInfo implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    /**
     * 企业UU号
     */
    @Id
    @Column(name = "en_uu")
    private Long uu;

    /**
     * 公司名称
     */
    @Column(name = "en_name")
    private String enName;

    /**
     * 注册地址
     */
    @Column(name = "en_address")
    private String enAddress;

    /**
     * 商业登记证号
     */
    @Column(name = "en_businesscode")
    private String enBusinessCode;

    /**
     * 注册时间
     */
    @Column(name = "en_time")
    private Date enDate;

    /**
     * 管理员UU号
     */
    @Column(name = "en_adminuu")
    private Long adminUU;

    public Long getUu() {
        return uu;
    }

    public void setUu(Long uu) {
        this.uu = uu;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getEnAddress() {
        return enAddress;
    }

    public void setEnAddress(String enAddress) {
        this.enAddress = enAddress;
    }

    public String getEnBusinessCode() {
        return enBusinessCode;
    }

    public void setEnBusinessCode(String enBusinessCode) {
        this.enBusinessCode = enBusinessCode;
    }

    public Date getEnDate() {
        return enDate;
    }

    public void setEnDate(Date enDate) {
        this.enDate = enDate;
    }

    public Long getAdminUU() {
        return adminUU;
    }

    public void setAdminUU(Long adminUU) {
        this.adminUU = adminUU;
    }

    @Override
    public String toString() {
        return "EnterpriseBaseInfo{" +
                "uu=" + uu +
                ", enName='" + enName + '\'' +
                ", enAddress='" + enAddress + '\'' +
                ", enBusinessCode='" + enBusinessCode + '\'' +
                ", enDate=" + enDate +
                '}';
    }
}
